Debian Bug report logs - #677345
webkit2pdf: FTBFS on hurd-i386 due to rpath

version graph

Package: webkit2pdf; Maintainer for webkit2pdf is Ricardo Mones <mones@debian.org>; Source for webkit2pdf is src:webkit2pdf.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Wed, 13 Jun 2012 10:54:43 UTC

Severity: important

Tags: patch

Found in version webkit2pdf/0.2-3

Fixed in version webkit2pdf/0.2-4

Done: Ricardo Mones <mones@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ricardo Mones <mones@debian.org>:
Bug#677345; Package webkit2pdf. (Wed, 13 Jun 2012 10:54:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Ricardo Mones <mones@debian.org>. (Wed, 13 Jun 2012 10:54:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: webkit2pdf: FTBFS on hurd-i386 due to rpath
Date: Wed, 13 Jun 2012 11:52:26 +0100
[Message part 1 (text/plain, inline)]
Package: webkit2pdf
Version: 0.2-3
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hello,

webkit2pdf currently FTBFS on hurd-i386 due to libtool spuriously adding
an rpath to /usr/lib/i386-gnu. This was fixed upstream, webkit2pdf just
needs to update. Could you apply the attached patch which brings just
the fix?

Thanks,
Samuel



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
c> [ ] morning [ ] afternoon [ ] evening [ ] night , everyone (choose as applicable)
[patch-webkit2pdf (text/plain, attachment)]

Reply sent to Ricardo Mones <mones@debian.org>:
You have taken responsibility. (Thu, 14 Jun 2012 16:51:04 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Thu, 14 Jun 2012 16:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 677345-close@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: 677345-close@bugs.debian.org
Subject: Bug#677345: fixed in webkit2pdf 0.2-4
Date: Thu, 14 Jun 2012 16:48:01 +0000
Source: webkit2pdf
Source-Version: 0.2-4

We believe that the bug you reported is fixed in the latest version of
webkit2pdf, which is due to be installed in the Debian FTP archive:

webkit2pdf_0.2-4.debian.tar.gz
  to main/w/webkit2pdf/webkit2pdf_0.2-4.debian.tar.gz
webkit2pdf_0.2-4.dsc
  to main/w/webkit2pdf/webkit2pdf_0.2-4.dsc
webkit2pdf_0.2-4_amd64.deb
  to main/w/webkit2pdf/webkit2pdf_0.2-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677345@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ricardo Mones <mones@debian.org> (supplier of updated webkit2pdf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Jun 2012 18:32:41 +0200
Source: webkit2pdf
Binary: webkit2pdf
Architecture: source amd64
Version: 0.2-4
Distribution: unstable
Urgency: low
Maintainer: Ricardo Mones <mones@debian.org>
Changed-By: Ricardo Mones <mones@debian.org>
Description: 
 webkit2pdf - export web pages to PDF files or printer
Closes: 677345 677521
Changes: 
 webkit2pdf (0.2-4) unstable; urgency=low
 .
   * debian/patches/hurd-i386-ftbfs.patch
   - Add patch to fix FTBFS in hurd-i386, original patch by
     Samuel Thibault (Closes: #677345)
   * debian/patches/poppler-0.18-fix.patch
   - Fix previous patch to remove core usage, patch by
     Pino Toscano (Closes: #677521)
Checksums-Sha1: 
 358420227baf96bae117797f00295bdd269716ca 1289 webkit2pdf_0.2-4.dsc
 5cd9d03db0eb056420007181df31f92828107bb4 6074 webkit2pdf_0.2-4.debian.tar.gz
 8657fc77baf95b32d881fe8aefb35a4b6850f80f 20450 webkit2pdf_0.2-4_amd64.deb
Checksums-Sha256: 
 bbd757fa3404991a291fd43425d4f5a92948738e6c5a14945b87f34b3b0fa45d 1289 webkit2pdf_0.2-4.dsc
 231cffb95d11a0b494958c5bf03212dd1dc32d26a28face7964eb26e7147be5c 6074 webkit2pdf_0.2-4.debian.tar.gz
 2be59361f4839d261cfe262f69ebefa4b7d91a7a4965ccb97dc18479d92478af 20450 webkit2pdf_0.2-4_amd64.deb
Files: 
 fd2c0bdf991f92681459dcc0686dd123 1289 web optional webkit2pdf_0.2-4.dsc
 34c770122b55bc0cdfcde5adaa5c6eb5 6074 web optional webkit2pdf_0.2-4.debian.tar.gz
 69e0c5946e635f420eea07b315922221 20450 web optional webkit2pdf_0.2-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk/aFAEACgkQLARVQsm1XaxsyQCfYviQtdXEykx83y6mAEoN3oxt
/2wAoMWFPWObuKCCnMD+dYUQzIrVMDQg
=C7Gw
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ricardo Mones <mones@debian.org>:
Bug#677345; Package webkit2pdf. (Thu, 14 Jun 2012 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Ricardo Mones <mones@debian.org>. (Thu, 14 Jun 2012 21:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 677345@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 677345@bugs.debian.org
Subject: Re: Bug#677345 closed by Ricardo Mones <mones@debian.org> (Bug#677345: fixed in webkit2pdf 0.2-4)
Date: Thu, 14 Jun 2012 22:34:04 +0100
Debian Bug Tracking System, le Thu 14 Jun 2012 16:51:04 +0000, a écrit :
> This is an automatic notification regarding your Bug report
> which was filed against the webkit2pdf package:
> 
> #677345: webkit2pdf: FTBFS on hurd-i386 due to rpath
> 
> It has been closed by Ricardo Mones <mones@debian.org>.

Thanks!

Note that it is expected to be still failing. Some libraries that it
depends on still needs rebuilding.

Samuel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 May 2013 07:29:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 06:58:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.